## CORBA Event Interface IServerSessionEvents

The ServerEvents interface reflects server level processing events.

### Definition

CORBA Module SASIOMCommonEvents

### IServerSessionEvents Description

This event interface conveys progress and status information for the currently executing server. The event interface is implemented by the top-level server component.

CORBA Definitions
method SessionEnd |
method SessionStart |

Java Classes
IServerSessionEventsHelper | Used to manipulate the IServerSessionEvents type
IServerSessionEventsHolder | Used to process the IServerSessionEvents type as an out parameter

Java Interfaces
IServerSessionEvents | The ServerEvents interface reflects server level processing events.

Java Interface IServerSessionEvents

The ServerEvents interface reflects server level processing events.

Package com.sas.iom.SASIOMCommonEvents

IServerSessionEvents Description
This event interface conveys progress and status information for the currently executing server. The event interface is implemented by the top-level server component.

`public interface IServerSessionEvents
extends org.omg.CORBA.Object`

Method Summary

void | SessionEnd ( UUID sessionID ) throws ( GenericError );
void | SessionStart ( UUID sessionID , java.lang.String owner ) throws ( GenericError );

Java Class IServerSessionEventsHelper

public class IServerSessionEventsHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IServerSessionEvents type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerSessionEventsHelper

Java Class IServerSessionEventsHolder

public class IServerSessionEventsHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IServerSessionEvents type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IServerSessionEventsHolder

CORBA Method SessionEnd

Description

Usage

Java Method SessionEnd

`void` SessionEnd (

        UUID sessionID
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | UUID |

Example

CORBA Method SessionStart

Description

Usage

Java Method SessionStart

`void` SessionStart (

        UUID sessionID ,
        java.lang.String owner
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
sessionID | in | UUID |
owner | in | java.lang.String |

Example